package ru.yandex.webmaster.viewer.complaints;

/**
 * @author aherman
 */
public class Complaint {
    private final ComplaintType type;
    private final String url;
    private final String message;

    private String query;
    private String ip;
    private String cookies;

    public Complaint(ComplaintType type, String url, String message) {
        this.type = type;
        this.url = url;
        this.message = message;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public void setCookies(String cookies) {
        this.cookies = cookies;
    }

    public ComplaintType getType() {
        return type;
    }

    public String getUrl() {
        return url;
    }

    public String getMessage() {
        return message;
    }

    public String getQuery() {
        return query;
    }

    public String getIp() {
        return ip;
    }

    public String getCookies() {
        return cookies;
    }
}
